import jwt_decode from "jwt-decode";

const LOGIN = 'LOGIN';
const LOGOUT = 'LOGOUT';

const authReducer = (state, action) => {
    if(!state) {
        if(!localStorage.authToken) {
            return {}
        } else {
            // return {
            //     login: jwt_decode(localStorage.authToken).sub.login,
            //     id: jwt_decode(localStorage.authToken).sub.id
            // }
            action.type = LOGIN;
            action.jwt = localStorage.authToken
        }
    }
    if(action.type === LOGIN) {
        localStorage.authToken = action.jwt;
        return {
            id: jwt_decode(action.jwt).sub.id, 
            login: jwt_decode(action.jwt).sub.login,
            isLogin: true,
            token: action.jwt
        }
    }
    if(action.type === LOGOUT) {
        localStorage.removeItem('authToken');
        return {};
    }
    return state
}

export default authReducer;